oracle.kv.table

## Interface TableOperation

-     public interface TableOperation

  Denotes a TableOperation in a sequence of operations passed to the `TableAPI.execute` method.

  TableOperation instances are created only by `TableOperationFactory` methods and the TableOperation interface should not be implemented by the application.

  Since:
    3.0
  See Also:
    `TableOperationFactory`, `TableAPI.execute`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TableOperation.Type` The type of operation, as determined by the method used to create it.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAbortIfUnsuccessful()` Returns whether this operation should cause the `TableAPI.execute` transaction to abort when the operation fails.
    `PrimaryKey` | `getPrimaryKey()` Returns the PrimaryKey associated with the operation if it is a delete operation, otherwise return null.
    `Row` | `getRow()` Returns the Row associated with the operation if it is a put operation, otherwise return null.
    `TableOperation.Type` | `getType()` Returns the operation Type.

- - ### Method Detail

    - #### getRow

          Row getRow()

      Returns the Row associated with the operation if it is a put operation, otherwise return null.
      Returns:
        the row or null

    - #### getPrimaryKey

          PrimaryKey getPrimaryKey()

      Returns the PrimaryKey associated with the operation if it is a delete operation, otherwise return null.
      Returns:
        the primary key or null

    - #### getType

          TableOperation.Type getType()

      Returns the operation Type.
      Returns:
        the type

    - #### getAbortIfUnsuccessful

          boolean getAbortIfUnsuccessful()

      Returns whether this operation should cause the `TableAPI.execute` transaction to abort when the operation fails.
      Returns:
        true if operation failure should cause the entire execution to abort

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.